# ramdrive.h File Reference

`#include <device.h>`

Go to the source code of this file.

## Functions

int | dev_ramDestroy ()
device_t * | dev_ramDrive ()

## Function Documentation

int dev_ramDestroy | ( |  | ) |

Definition at line 95 of file ramdrive.cpp.

References fclose(), fopen(), fwrite(), ram_data, and RAM_DRIVE_SIZE.

Referenced by main().

device_t* dev_ramDrive | ( |  | ) |

Definition at line 66 of file ramdrive.cpp.

References fclose(), fopen(), fread(), device_t::major, ram_data, RAM_DRIVE_SIZE, ramDrive_read(), ramDrive_write(), device_t::read, device_t::sectors, and device_t::write.

Referenced by main().